curl --request GET \
--url https://api.flarepayments.com/v1/charges/{uuid} \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"success": true,
"uuid": "54e2b712-aca0-4230-b69a-d6dd8542c925",
"amount": 1000,
"status": "paid",
"expires_at": "2026-03-05T19:14:48.549Z",
"pix_copy_paste": "00020101021226..."
}
{
"success": true,
"uuid": "54e2b712-aca0-4230-b69a-d6dd8542c925",
"amount": 1000,
"status": "pending",
"expires_at": "2026-03-08T23:59:59.000Z",
"boleto_url": "https://...",
"barcode": "00190.00009 01234.567890 12345.678901 1 99990000001000"
}
Cobranças
Consultar Cobrança
Retorna os dados de uma cobrança
GET
/
charges
/
{uuid}
curl --request GET \
--url https://api.flarepayments.com/v1/charges/{uuid} \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"success": true,
"uuid": "54e2b712-aca0-4230-b69a-d6dd8542c925",
"amount": 1000,
"status": "paid",
"expires_at": "2026-03-05T19:14:48.549Z",
"pix_copy_paste": "00020101021226..."
}
{
"success": true,
"uuid": "54e2b712-aca0-4230-b69a-d6dd8542c925",
"amount": 1000,
"status": "pending",
"expires_at": "2026-03-08T23:59:59.000Z",
"boleto_url": "https://...",
"barcode": "00190.00009 01234.567890 12345.678901 1 99990000001000"
}
curl --request GET \
--url https://api.flarepayments.com/v1/charges/{uuid} \
--header 'Authorization: Bearer YOUR_API_KEY'
Descrição
Consulta uma cobrança pelo UUID. A resposta contém somente os campos correspondentes ao método de pagamento.Parâmetros de Path
string
required
UUID retornado na criação da cobrança.
Headers
string
required
Bearer token de autenticação. Formato:
Bearer YOUR_API_KEYResposta 200 OK
boolean
Indica que a consulta foi concluída.
string
UUID da cobrança.
integer
Valor da cobrança em centavos.
string
Status atual da cobrança.
string
Data de expiração em ISO 8601.
string
Código PIX copia e cola. Presente somente em cobranças PIX.
string
URL do boleto. Presente somente em cobranças por boleto.
string
Linha digitável. Presente somente em cobranças por boleto.
{
"success": true,
"uuid": "54e2b712-aca0-4230-b69a-d6dd8542c925",
"amount": 1000,
"status": "paid",
"expires_at": "2026-03-05T19:14:48.549Z",
"pix_copy_paste": "00020101021226..."
}
{
"success": true,
"uuid": "54e2b712-aca0-4230-b69a-d6dd8542c925",
"amount": 1000,
"status": "pending",
"expires_at": "2026-03-08T23:59:59.000Z",
"boleto_url": "https://...",
"barcode": "00190.00009 01234.567890 12345.678901 1 99990000001000"
}
Erros
| Status | Código | Descrição |
|---|---|---|
400 | missing_id | UUID da cobrança não informado |
404 | not_found | Cobrança não encontrada |
401 | unauthorized | Header Authorization ausente |
